package edu.lawrence.exercise;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;

@Controller
public class ExerciseController {
    private ExerciseDAO dao;
    
    ExerciseController(ExerciseDAO dao) {
        this.dao = dao;
    }
    
    @GetMapping(path="/calories")
    public String processFormRequest(@ModelAttribute Exercise exercise) {
        RateData rate = dao.findExercise(exercise.getActivity(), exercise.getIntensity());
        exercise.setTotalCalories(rate.getCalories()*exercise.getDuration()/60);
        return "result";
    }
}